<?php
/**
 * Unit tests for PHP_CompatInfo package, sphinx Reference
 *
 * PHP version 5
 *
 * @category   PHP
 * @package    PHP_CompatInfo
 * @subpackage Tests
 * @author     Remi Collet <Remi@FamilleCollet.com>
 * @license    http://www.opensource.org/licenses/bsd-license.php  BSD License
 * @version    GIT: $Id: SphinxTest.php 9c84d2f 2013-10-01 12:37:39 +0200 Laurent Laville $
 * @link       http://php5.laurent-laville.org/compatinfo/
 */

require_once 'GenericTest.php';

/**
 * Tests for the PHP_CompatInfo class, retrieving components informations
 * about sphinx extension
 *
 * @category   PHP
 * @package    PHP_CompatInfo
 * @subpackage Tests
 * @author     Remi Collet <Remi@FamilleCollet.com>
 * @license    http://www.opensource.org/licenses/bsd-license.php  BSD License
 * @version    Release: 2.26.0
 * @link       http://php5.laurent-laville.org/compatinfo/
 * @since      Class available since Release 2.5.0
 */
class PHP_CompatInfo_Reference_SphinxTest
    extends PHP_CompatInfo_Reference_GenericTest
{
    /**
     * Sets up the shared fixture.
     *
     * @covers PHP_CompatInfo_Reference_Sphinx::getExtensions
     * @covers PHP_CompatInfo_Reference_Sphinx::getFunctions
     * @return void
     */
    public static function setUpBeforeClass()
    {
        // Constants conditionnaly exists (according to libsphinx version)
        self::$optionalconstants = array(
            'SPH_RANK_EXPR',
            'SPH_RANK_FIELDMASK',
            'SPH_RANK_MATCHANY',
            'SPH_RANK_PROXIMITY',
            'SPH_RANK_SPH04',
            'SPH_RANK_TOTAL',
        );
        self::$obj = new PHP_CompatInfo_Reference_Sphinx();
        parent::setUpBeforeClass();
    }
}
